# $Revision: 1.33 $, $Date: 2011/07/01 14:26:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Time
%define		pnam	Piece
Summary:	Time::Piece - object oriented time objects
Summary(pl.UTF-8):	Time::Piece - obiekty czasu
Name:		perl-Time-Piece
Version:	1.20
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Time/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	99589dce0375d51ff9287a5431444c5f
URL:		http://search.cpan.org/dist/Time-Piece/
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreqdep	'perl(UNIVERSAL)'

%description
This module replaces the standard localtime and gmtime functions with
implementations that return objects. It does so in a backwards
compatible manner, so that using localtime/gmtime in the way
documented in perlfunc will still return what you expect.

%description -l pl.UTF-8
Ten moduł zastępuje standardowe funkcje localtime i gmtime
implementacjami zwracającymi obiekty. Czyni to w sposób wstecznie
kompatybilny, więc używanie localtime/gmtime w sposób opisany w
perlfunc nadal będzie robić to, czego się oczekuje.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Time/*.pm
%dir %{perl_vendorarch}/auto/Time/Piece
%{perl_vendorarch}/auto/Time/Piece/Piece.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Time/Piece/Piece.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Time-Piece.spec,v $
Revision 1.33  2011/07/01 14:26:25  marti
- up to 1.20

Revision 1.32  2010/11/12 23:38:09  pawelz
- release 3

Revision 1.31  2010/06/06 08:43:42  arekm
- release 2

Revision 1.30  2009/09/11 07:20:19  amateja
- updated to 1.15

Revision 1.29  2009/03/14 11:45:12  hawk
- release 3

Revision 1.28  2008/02/10 12:22:08  arekm
- rel 2

Revision 1.27  2008-01-16 18:42:05  agaran
- up to 1.12, builds here, rel 1

Revision 1.26  2007-06-03 08:00:43  qboosh
- generic URL

Revision 1.25  2007/06/03 07:44:04  agaran
- up to 1.11, rel 1, generic url, builds here

Revision 1.24  2007/02/13 08:06:38  glen
- tabs in preamble

Revision 1.23  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.22  2006/10/27 18:59:26  qboosh
- vendorarch/Time already belongs to perl-dirs

Revision 1.21  2006/10/27 18:56:49  qboosh
- grepable files

Revision 1.20  2006/02/26 23:22:01  agaran
- up to 1.09 rel 1

Revision 1.19  2004/11/03 22:30:52  paladine
- formatting

Revision 1.18  2004/06/05 20:26:54  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.17  2004/05/07 00:38:54  ankry
- rel. 5

Revision 1.16  2004/05/06 18:21:25  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/03 21:36:02  ankry
- licence fix

Revision 1.14  2004/04/27 15:26:29  ankry
- new bconds

Revision 1.13  2004/04/15 21:44:16  ankry
- cosmetics, license fixes

Revision 1.12  2003/09/09 10:24:53  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:09:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:13  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/15 00:16:45  ankry
- rel++ (to be higher than in RA-branch)

Revision 1.7  2003/04/11 18:59:38  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 21:35:35  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:42:35  radek
- use the __perl macro

Revision 1.4  2003/02/23 00:55:36  ankry
- added _noautoreqdep for perl(UNIVERSAL) - it is provided by perl-modules
  and perl-Attribute-Persistent
- rel. 2

Revision 1.3  2003/02/18 15:39:02  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/02/17 00:13:27  qboosh
- pl description

Revision 1.1  2003/02/12 11:40:20  mis
- new
